using System;

namespace vageCS
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n, m;
            string[] str = Console.ReadLine().Split();
            n = int.Parse(str[0]);
            m = int.Parse(str[1]);
            int[] min = new int[n];
            int[] max = new int[n];
            for(int i = 0; i < n; i++)
            {
                str = Console.ReadLine().Split();
                min[i] = int.Parse(str[0]);
                max[i] = int.Parse(str[1]);
            }
            int l, r, x;
            for(int i = 0; i < m; i++)
            {
                int k = 0;
                str = Console.ReadLine().Split();
                l = int.Parse(str[0]);
                r = int.Parse(str[1]);
                x = int.Parse(str[2]);
                for(int j = l-1; j < r; j++)
                {
                    if (x >= min[j] && x <= max[j]) k++;
                }
                Console.WriteLine(k);
            }
        }
    }
}